import './index.css';

// src/shared.tsx
import { jsx } from "react/jsx-runtime";
var ALink = ({ className, href, children, style }) => {
  return /* @__PURE__ */ jsx("a", { href, className, style, children });
};

// src/built-with-rspack/index.module.scss
var index_module_default = { "title": "title_4907f", "innerContainer": "innerContainer_4907f", "logo": "logo_4907f", "logos": "logos_4907f", "logoText": "logoText_4907f" };

// src/built-with-rspack/index.tsx
import { Fragment, jsx as jsx2, jsxs } from "react/jsx-runtime";
var CompanyItem = ({
  item,
  LinkComp
}) => {
  const { logo, name, url, text, width } = item;
  const Link = LinkComp;
  return /* @__PURE__ */ jsxs(Link, { className: index_module_default.logo, href: url, children: [
    /* @__PURE__ */ jsx2("img", { src: logo, alt: name, style: { width }, loading: "lazy" }),
    text !== void 0 ? /* @__PURE__ */ jsx2("span", { className: index_module_default.logoText, children: text }) : /* @__PURE__ */ jsx2(Fragment, {})
  ] });
};
var BuiltWithRspack = ({
  title,
  LinkComp,
  companyList
}) => {
  const Link = LinkComp != null ? LinkComp : ALink;
  return /* @__PURE__ */ jsxs("div", { className: index_module_default.innerContainer, children: [
    /* @__PURE__ */ jsx2("h2", { className: index_module_default.title, children: title }),
    /* @__PURE__ */ jsx2("div", { className: index_module_default.logos, children: companyList.map((i) => {
      return /* @__PURE__ */ jsx2(CompanyItem, { item: i, LinkComp: Link }, i.name);
    }) })
  ] });
};
export {
  BuiltWithRspack
};
