import './index.css';

// src/shared.tsx
import { jsx } from "react/jsx-runtime";
var ALink = ({ className, href, children, style }) => {
  return /* @__PURE__ */ jsx("a", { href, className, style, children });
};

// src/fully-featured/index.module.scss
var index_module_default = { "features": "features_00b01", "featureCard": "featureCard_00b01", "main": "main_00b01", "featureTitle": "featureTitle_00b01", "featureDescription": "featureDescription_00b01", "icon": "icon_00b01", "featureContent": "featureContent_00b01" };

// src/fully-featured/index.tsx
import { jsx as jsx2, jsxs } from "react/jsx-runtime";
var FullyFeatured = ({
  LinkComp,
  featureRows
}) => {
  const Link = LinkComp != null ? LinkComp : ALink;
  return /* @__PURE__ */ jsx2("div", { className: index_module_default.main, children: featureRows.map((row, index) => {
    return /* @__PURE__ */ jsx2("div", { className: index_module_default.features, children: row.map(({ icon, description, link, title }, index2) => /* @__PURE__ */ jsxs(Link, { className: index_module_default.featureCard, href: link, children: [
      /* @__PURE__ */ jsx2(
        "img",
        {
          src: icon,
          alt: index2.toString(),
          className: index_module_default.icon,
          loading: "lazy"
        }
      ),
      /* @__PURE__ */ jsxs("div", { className: index_module_default.featureContent, children: [
        /* @__PURE__ */ jsx2("h2", { className: index_module_default.featureTitle, children: title }),
        /* @__PURE__ */ jsx2("p", { className: index_module_default.featureDescription, children: description })
      ] })
    ] }, index2)) }, index);
  }) });
};
export {
  FullyFeatured
};
